Bug 236909 - GMT-1 results in time for GMT+1, and vice versa
GMT-1 results in time for GMT+1, and vice versa
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: timeconfig (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-18 08:12 EDT by Kit Gerrits
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-24 05:57:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kit Gerrits 2007-04-18 08:12:19 EDT
Description of problem:
System: Red Hat Enterprise Linux ES release 2.1 (Panama) Update 6

date / timeconfig inverses time-difference relative to GMT
whilst trying to configure the machine for Central European --Winter-- Time
(non-DST)

Version-Release number of selected component (if applicable):
timeconfig-3.2.2-1

How reproducible:
# use timeconfig to set the timezone

Steps to Reproduce:
# Current date:
date -u
Wed Apr 18 11:57:12 UTC 2007

# Set to correct timezone:
sudo /usr/sbin/timeconfig Etc/GMT+1
date
Wed Apr 18 10:57:06 GMT+1 2007
# (Incorrect time, should be 12:57:06 GMT+1 2007)

# Set to INcorrect timezone
sudo /usr/sbin/timeconfig Etc/GMT-1
date
Wed Apr 18 12:57:11 GMT-1 2007
# reported time matches local time, but timezone incorrect.
  
Actual results:
GMT+1 should reports incorrect local wintertime for Amsterdam

Expected results:


Additional info:
I'm not sure if the bug is in date, the timezone-definitions or in date itself.
Comment 1 Nils Philippsen 2007-04-20 10:07:50 EDT
One thing I'd like to mention is that you shouldn't need to manually switch
between winter/normal and summer/daylight savings time. Set the timezone to
Europe/Amsterdam to automatically switch between summer- and wintertime.

Aside from that, which version of the tzdata package do you have? Please check
(and eventually attach) the MD5 or SHA sums of /etc/localtime,
/usr/share/zoneinfo/Etc/* to see whether timeconfig set the wrong localtime file
or something is wrong with tzdata.
Comment 2 Kit Gerrits 2007-04-20 11:49:19 EDT
The problen is that the servers need to be -fixed to- wintertime.
The software itself needs the O/S to use wintertime.
(nationwide waterlevel-monitoring)

There is no tzdata package in RPM, all I get is:
$ rpm -q tzdata
package tzdata is not installed
$ rpm -qa  time*
time-1.7-14
timeconfig-3.2.2-1


This is what I can get you w.r.t. the timezone data:

$ file /etc/localtime
/etc/localtime: timezone data
$ more /etc/localtime
TZifGMT-1

$ head -1 zone.tab
# @(#)zone.tab  1.28

$ cat GMT+1
TZifÿÿñðGMT+1[
$ md5sum GMT+1
36c4ce7f05984aa56c34510ca2e0b36c  GMT+1

$ cat GMT-1
TZifGMT-1
$ md5sum GMT-1
e23e54559a8c08a2b7f652e68e687269  GMT-1

$ cat UTC
TZifUTC
$ md5sum UTC
9bd0933136f45090855cdd09c1be16c6  UTC

$ cat GMT
TZifGMT
$ md5sum GMT
4ae21abf65ef26d2d732662e44f8fbbe  GMT

$ ll /usr/share/zoneinfo/Etc |grep -e GMT$ -e GMT-1$ -e GMT+1$ -e UTC
-rw-r--r--   10 root     root           56 Oct  6  2004 GMT
-rw-r--r--    1 root     root           58 Oct  6  2004 GMT-1
-rw-r--r--    1 root     root           58 Oct  6  2004 GMT+1
-rw-r--r--    6 root     root           56 Oct  6  2004 UTC

There's plenty other files in that Dir, but doing them all seemed like overkill

If there's any other way I can help, I'd gladly hear it
Comment 3 Nils Philippsen 2007-04-24 10:51:02 EDT
Hm, I just tried it here and it selected the correct timezone file for
/etc/localtime (I chose GMT+1). It seems your installation is quite old as you
don't have a tzdata package installed, that may be your problem. Updated
packages for glibc and tzdata are available which may fix your problem (you
might need to re-run timeconfig afterwards to get the correct timezone file
copied over to /etc/localtime.
Comment 4 Florian La Roche 2007-09-24 05:57:50 EDT
Please re-open with more info if you think there is still a bug here.

regards,

Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.